1. Fabrik 3.9 has been released. If you have updated Joomla to 3.9, this is a required update.
    Dismiss Notice

php v7.2

Discussion in 'Professional Support' started by skyrun, Sep 4, 2018.

  1. skyrun

    skyrun Active Member

    Level: Community
    has fabrik been tested on php v7.2(.9)?

    seems to be functioning well in my limited testing of it, but was wondering if fabrik supports php 7.2 officially.

    my users and i started getting a notification on our joomla main page about needing 7.x even though we are on php 7.0 and saying support for 7.0.31 ends on 9/3. ( i checked and php 7.0 support ends dec 3.) but in any case, that prompted me to start working on testing 7.2.

    SIDE NOTE: you can disable the 'php version' (and 'joomla version' for that matter) plugins to remove that warning message from your users. i leave it on for my site so i know, but don't want my users to see that.
     
  2. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
    I've been running 7.2 for a few months now on my main dev box, and I think I've ironed out all the 7.2 related wrinkles.

    So yes, 7.2 is now the "official" version I develop against.

    -- hugh
     
  3. bggann

    bggann Member

    Level: Community
    Today I rolled my site to php 7.2 (was 7.0). Immediately all my sites when down.
    No useful error information. I load the home page and just get one word "Error" on the web page.

    I'll contact my hosting supplier as well - Rochen - and see what they say.
    I rolled it back to 7.0 and they all came right back.

    Note my dev site was on latest Joomla, latest Fabrik. All up to date.

    Just an FYI at this point.

    Bob
     
  4. skyrun

    skyrun Active Member

    Level: Community
    my sites are all on php 7.2 with joomla 3.8.15 or 3.9 and they all work. latest fabrik, but it has been working for awhile on not the latest wrt fabrik.

    so i don't think your issue is fabrik-related.
     
  5. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
    Yup, I don't think it has anything to do with Fabrik and 7.2. As well as running 7.2 on my main dev site, I run it on a number of production sites.

    -- hugh
     
  6. troester

    troester Well-Known Member Staff Member

    Level: Community
    "Error" is ringing a bell.
    Check your PHP options related to mysql, myslqi, pdo...
     
  7. bggann

    bggann Member

    Level: Community
    Yep - it was a missing module selected. Reset the selected modules by hitting "default" and it fixed it. All copacetic now.
     

Share This Page